USN-6569-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6569-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6569-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6569-1
Related
  • CVE-2022-30333
  • CVE-2023-40477
Published
2024-01-08T18:05:14.056679Z
Modified
2024-01-08T18:05:14.056679Z
Summary
libclamunrar vulnerabilities
Details

it was discovered that libclamunrar incorrectly handled directories when extracting RAR archives. A remote attacker could possibly use this issue to overwrite arbitrary files and execute arbitrary code. This issue only affected Ubuntu 20.04 LTS, Ubuntu 22.04 LTS, and Ubuntu 23.04. (CVE-2022-30333)

It was discovered that libclamunrar incorrectly validated certain structures when extracting RAR archives. A remote attacker could possibly use this issue to execute arbitrary code. (CVE-2023-40477)

References

Affected packages

Ubuntu:20.04:LTS / libclamunrar

Package

Name
libclamunrar

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.103.11-0ubuntu0.20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libclamunrar9": "0.103.11-0ubuntu0.20.04.1"
        }
    ]
}

Ubuntu:22.04:LTS / libclamunrar

Package

Name
libclamunrar

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.103.11-0ubuntu0.22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libclamunrar9": "0.103.11-0ubuntu0.22.04.1",
            "libclamunrar": "0.103.11-0ubuntu0.22.04.1"
        }
    ]
}

Ubuntu:23.10 / libclamunrar

Package

Name
libclamunrar

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.4-0ubuntu0.23.10.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "clamav-testfiles-rar": "1.0.4-0ubuntu0.23.10.1",
            "libclamunrar": "1.0.4-0ubuntu0.23.10.1",
            "libclamunrar11": "1.0.4-0ubuntu0.23.10.1"
        }
    ]
}